Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.term
Class DoubleQuotesTerm

    java.lang.Object
      gnu.prolog.term.Term
          gnu.prolog.term.VariableTerm
              gnu.prolog.term.ChangeableTerm
                  gnu.prolog.term.DoubleQuotesTerm

All Implemented Interfaces:
  Serializable, Cloneable

    public class DoubleQuotesTerm

extends ChangeableTerm

Term for storing a double quoted string as what this resolves to varies depending on the value of the double_quotes flag.

Author:
  Daniel Thomas
See Also:
  Serialized Form

Field Summary

Fields inherited from class gnu.prolog.term.ChangeableTerm
`environment`

Fields inherited from class gnu.prolog.term.VariableTerm
`name, value`

Fields inherited from class gnu.prolog.term.Term
`ATOM, COMPOUND, FLOAT, INTEGER, JAVA_OBJECT, UNKNOWN, VARIABLE`

Constructor Summary
`DoubleQuotesTerm(Environment environment, Term codes, Term chars, AtomTerm atom)` Construct a DoubleQuotesTerm

Method Summary
`Term` | `dereference()` The value may also be altered by this method in child classes.

Methods inherited from class gnu.prolog.term.ChangeableTerm
`getPrologFlag`

Methods inherited from class gnu.prolog.term.VariableTerm
`clone, getTermType`

Methods inherited from class gnu.prolog.term.Term
`clone, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoubleQuotesTerm

    public DoubleQuotesTerm(Environment environment,
                            Term codes,
                            Term chars,
                            AtomTerm atom)

  Construct a DoubleQuotesTerm

  Parameters:
    `environment` - the environment to be used to get the prolog flags from
    `codes` - the char codes representation e.g. [232,134] or []
    `chars` - the chars representation e.g. [a,b] or []
    `atom` - the atom representation e.g. ab or ''

Method Detail

### dereference

    public Term dereference()

  Description copied from class: `ChangeableTerm`
  The value may also be altered by this method in child classes.

  Specified by:
    `dereference` in class `ChangeableTerm`
  Returns:
    dereferenced term

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD